Package org.apache.commons.jxpath.servlet

# Class PageContextHandler

java.lang.Object
org.apache.commons.jxpath.servlet.PageContextHandler

All Implemented Interfaces:
  `DynamicPropertyHandler`

public class PageContextHandler extends Object implements DynamicPropertyHandler
Implementation of the `DynamicPropertyHandler` interface that provides access to attributes of a `PageContext` in all scopes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageContextHandler()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getProperty(Object pageContext, String property)`
  Returns `pageContext.findAttribute(property)`.
  `String[]`
  `getPropertyNames(Object pageContext)`
  Returns a list of dynamic property names for the supplied object.
  `void`
  `setProperty(Object pageContext, String property, Object value)`
  Modifies the value of the specified dynamic property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PageContextHandler

    public PageContextHandler()
    Constructs a new instance.

- ## Method Details

  - ### getProperty

    public Object getProperty(Object pageContext, String property)
    Returns `pageContext.findAttribute(property)`.
    Specified by:
      `getProperty` in interface `DynamicPropertyHandler`
    Parameters:
      `pageContext` - to search
      `property` - name
    Returns:
      Object value

  - ### getPropertyNames

    public String[] getPropertyNames(Object pageContext)
    Description copied from interface: `DynamicPropertyHandler`
    Returns a list of dynamic property names for the supplied object.
    Specified by:
      `getPropertyNames` in interface `DynamicPropertyHandler`
    Parameters:
      `pageContext` - to inspect
    Returns:
      String[]

  - ### setProperty

    public void setProperty(Object pageContext, String property, Object value)
    Description copied from interface: `DynamicPropertyHandler`
    Modifies the value of the specified dynamic property.
    Specified by:
      `setProperty` in interface `DynamicPropertyHandler`
    Parameters:
      `pageContext` - to modify
      `property` - to modify
      `value` - to set